DIDs
Endpoints for managing Decentralized Identifiers (DIDs)
This endpoint creates a new Decentralized Identifier (DID) using the provided API key.
Authorizations
x-api-keystringRequired
Responses
200
DID created successfully
application/json
401
Unauthorized.
500
Internal Server Error
application/json
post/api/v1/create-did
POST /api/v1/create-did HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
{
"did": {
"did": "95LAyQitNh5kVaayCFC9S2",
"verkey": "5QFrR2F9H84nF1T6bBiiahWCiDWrxTnHNtF78u7HPCY4",
"posture": "wallet_only",
"key_type": "ed25519",
"method": "sov",
"metadata": {}
}
}This endpoint sets a public Decentralized Identifier (DID) using the provided API key and DID.
Authorizations
x-api-keystringRequired
Query parameters
DIDstringRequired
The DID to be set as public.
Responses
200
DID set as public successfully
application/json
didobjectOptional
The public DID.
400
Bad Request
application/json
401
Unauthorized.
500
Internal Server Error
application/json
post/api/v1/set-public-did
POST /api/v1/set-public-did?DID=text HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
{
"did": "Efgh86CGr29yoQKXHQraHD",
"verkey": "8T3KFeLkGk34nDQC1bLwYo2JLXDE6x8qz4z4TrVkaHoU",
"posture": "posted",
"key_type": "ed25519",
"method": "sov",
"metadata": {
"posted": true,
"endpoint": "https://example/agent"
}
}This endpoint creates a new Decentralized Identifier (DID) using the provided API key.
Authorizations
x-api-keystringRequired
Responses
200
DID created successfully
application/json
didstringOptional
The created DID.
401
Unauthorized.
412
The TAA must be signed before calling this endpoint
application/json
500
Internal Server Error
application/json
post/api/v1/did/indy
POST /api/v1/did/indy HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
{
"did": "did:indy:indicio:test:JKdq87RF5kEsfv7b8BAdqs"
}Last updated